Index: contrib/crossrpms/rtems4.7/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/arm/gcc-sources.add	(revision 5e36d45331c0b428ddafe13e7c3b786a701733a5)
+++ contrib/crossrpms/rtems4.7/arm/gcc-sources.add	(revision a5043d402c1d9f3ac586cbdd9a8acb65b73507d7)
@@ -39,5 +39,5 @@
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-20070208.diff
+Patch50:	newlib-1.15.0-rtems4.7-20080503.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/avr/gcc-sources.add	(revision 5e36d45331c0b428ddafe13e7c3b786a701733a5)
+++ contrib/crossrpms/rtems4.7/avr/gcc-sources.add	(revision a5043d402c1d9f3ac586cbdd9a8acb65b73507d7)
@@ -39,5 +39,5 @@
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-20070208.diff
+Patch50:	newlib-1.15.0-rtems4.7-20080503.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/h8300/gcc-sources.add	(revision 5e36d45331c0b428ddafe13e7c3b786a701733a5)
+++ contrib/crossrpms/rtems4.7/h8300/gcc-sources.add	(revision a5043d402c1d9f3ac586cbdd9a8acb65b73507d7)
@@ -39,5 +39,5 @@
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-20070208.diff
+Patch50:	newlib-1.15.0-rtems4.7-20080503.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/i386/gcc-sources.add	(revision 5e36d45331c0b428ddafe13e7c3b786a701733a5)
+++ contrib/crossrpms/rtems4.7/i386/gcc-sources.add	(revision a5043d402c1d9f3ac586cbdd9a8acb65b73507d7)
@@ -39,5 +39,5 @@
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-20070208.diff
+Patch50:	newlib-1.15.0-rtems4.7-20080503.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/m68k/gcc-sources.add	(revision 5e36d45331c0b428ddafe13e7c3b786a701733a5)
+++ contrib/crossrpms/rtems4.7/m68k/gcc-sources.add	(revision a5043d402c1d9f3ac586cbdd9a8acb65b73507d7)
@@ -39,5 +39,5 @@
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-20070208.diff
+Patch50:	newlib-1.15.0-rtems4.7-20080503.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/mips/gcc-sources.add	(revision 5e36d45331c0b428ddafe13e7c3b786a701733a5)
+++ contrib/crossrpms/rtems4.7/mips/gcc-sources.add	(revision a5043d402c1d9f3ac586cbdd9a8acb65b73507d7)
@@ -39,5 +39,5 @@
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-20070208.diff
+Patch50:	newlib-1.15.0-rtems4.7-20080503.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/powerpc/gcc-sources.add	(revision 5e36d45331c0b428ddafe13e7c3b786a701733a5)
+++ contrib/crossrpms/rtems4.7/powerpc/gcc-sources.add	(revision a5043d402c1d9f3ac586cbdd9a8acb65b73507d7)
@@ -39,5 +39,5 @@
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-20070208.diff
+Patch50:	newlib-1.15.0-rtems4.7-20080503.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/sh/gcc-sources.add	(revision 5e36d45331c0b428ddafe13e7c3b786a701733a5)
+++ contrib/crossrpms/rtems4.7/sh/gcc-sources.add	(revision a5043d402c1d9f3ac586cbdd9a8acb65b73507d7)
@@ -39,5 +39,5 @@
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-20070208.diff
+Patch50:	newlib-1.15.0-rtems4.7-20080503.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.7/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.7/sparc/gcc-sources.add	(revision 5e36d45331c0b428ddafe13e7c3b786a701733a5)
+++ contrib/crossrpms/rtems4.7/sparc/gcc-sources.add	(revision a5043d402c1d9f3ac586cbdd9a8acb65b73507d7)
@@ -39,5 +39,5 @@
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
 %if "%{newlib_version}" == "1.15.0"
-Patch50:	newlib-1.15.0-rtems4.7-20070208.diff
+Patch50:	newlib-1.15.0-rtems4.7-20080503.diff
 %endif
 %{?_without_sources:NoSource:	50}
